[ARVADOS] created: 2.1.0-764-gec9e26f1e
Git user
git at public.arvados.org
Thu May 6 21:00:03 UTC 2021
at ec9e26f1ebb5c25dd368e97fa8e8fd21ea42bc5e (commit)
commit ec9e26f1ebb5c25dd368e97fa8e8fd21ea42bc5e
Author: Ward Vandewege <ward at curii.com>
Date: Thu May 6 16:59:36 2021 -0400
Print ruby version used by tests.
No issue #
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index e309d2401..590b604de 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -873,6 +873,9 @@ bundle_install_trylocal() {
(
set -e
echo "(Running bundle install --local. 'could not find package' messages are OK.)"
+ if ! "$bundle" config set --local deployment 'false'; then
+ echo "error running bundle config set --local deployment 'false'"
+ fi
if ! "$bundle" install --local --no-deployment; then
echo "(Running bundle install again, without --local.)"
"$bundle" install --no-deployment
@@ -898,6 +901,7 @@ install_gem() {
}
install_sdk/ruby() {
+ ruby --version
install_gem arvados sdk/ruby
}
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list